﻿@{
    ViewBag.Title = "افزودن API Key جدید";
}

<div class="row">
    <div class="col-md-12">
        <form method="post">
            <div class="form-group">
                <label>جستجوی کاربر</label>
                <select class="js-data-ajax" id="UserId" name="UserId"></select>
            </div>
            <input type="submit" class="btn btn-primary btn-lg" value="ایجاد" />
        </form>
    </div>
</div>

@section scripts{
    <script>
        var selectAjaxUrl = "@Url.Action("Select2Ajax", "User")";
        $('#UserId').select2({
                language: "fa",
                dir: "rtl",
                delay: 250,
                width: "100%",
                minimumInputLength: 3,
                placeholder: 'جستجو برای کاربر',
                ajax: {
                    url: '@Url.Action("Select2Ajax","User")',
                    data: function (params) {
                        var query = {
                            search: params.term
                        }

                        // Query parameters will be ?search=[term]
                        return query;
                    },
                    processResults: function (data) {
                        // Tranforms the top-level key of the response object from 'items' to 'results'
                        return {
                            results: data
                        };
                    }
                }
            });
    </script>
}